!DiwdZTOGzxLddvStEY:matrix.org

CadQuery Development

575 Members
3 Servers

Load older messages


SenderMessageTime
13 Dec 2023
@_discord_551461073530650633:t2bot.ioSpectre5 joined the room.05:48:11
14 Dec 2023
@_discord_706343721066823720:t2bot.iokartheek8012 joined the room.12:31:51
16 Dec 2023
@_discord_435482221051248681:t2bot.iofrantic9100 set a profile picture.20:34:20
19 Dec 2023
@_discord_671038874939555862:t2bot.iojmansion joined the room.12:44:36
@_discord_535545537886158848:t2bot.ioguille77 changed their profile picture.14:09:16
@_discord_1186740650645934231:t2bot.iojarn_62438 joined the room.18:44:31
20 Dec 2023
@_discord_1187024973370511465:t2bot.ioclairbee_75188 joined the room.13:33:48
@_discord_958400055889510440:t2bot.ioclairbee joined the room.13:38:53
@_discord_234246004424179712:t2bot.ioapostolos. removed their profile picture.15:38:51
21 Dec 2023
@_discord_333107639569350656:t2bot.ioarv.ai joined the room.04:59:09
@_discord_1187397568741773427:t2bot.iovtiger_69143 joined the room.14:15:06
22 Dec 2023
@_discord_1187768383219966088:t2bot.ioregattaguru_15413 joined the room.14:48:07
@_discord_912040417392988212:t2bot.iopoblazaid joined the room.19:55:59
23 Dec 2023
@_discord_1022214829169197137:t2bot.ioKarim joined the room.12:29:16
25 Dec 2023
@_discord_425108579540795393:t2bot.ioshehabattia96 joined the room.04:14:13
26 Dec 2023
@_discord_752766332151398411:t2bot.iohalogenix joined the room.10:43:34
@_discord_435001754925531137:t2bot.iodorianrudolph joined the room.14:37:17
@_discord_403350311911030784:t2bot.ioicywhite13 joined the room.15:14:07
@_discord_746375200341491744:t2bot.iokeane0000 joined the room.18:21:20
@_discord_1186515929241223286:t2bot.iomagicguacamole joined the room.21:49:49
@_discord_395362975483166721:t2bot.iojenmei. joined the room.22:45:37
27 Dec 2023
@_discord_752766332151398411:t2bot.iohalogenix Hi everyone. I’m searching for a solution to put some text on different coordinate on a 2D surface. I tried to change workplane coordinate by using move and moveTo but it does not work as I expect. I tried to use compound.makeText but the results are incorrect. Can you help me out? 04:53:39
@_discord_752766332151398411:t2bot.iohalogenixIMG_0002.jpg
Download IMG_0002.jpg
04:54:57
@_discord_752766332151398411:t2bot.iohalogenix Here is my code. I tried to convert some VBA code using Cad to cadquery. Thank you. 04:54:57
@_discord_896482168103125002:t2bot.ioroger_maitlandimage.png
Download image.png
15:00:52
@_discord_896482168103125002:t2bot.ioroger_maitland My CQ is quite rusty these days, but here is how to position text on the top surface of a box with build123d:
from build123d import *
from ocp_vscode import show

with BuildPart() as example:
    Box(100, 100, 5)
    with BuildSketch(example.faces().sort_by(Axis.Z)[-1]):
        Text("sample", font_size=20)
    extrude(amount=2)

show(example)

The with BuildSketch(example.faces().sort_by(Axis.Z)[-1]): means create a sketch on a workplace aligned with the Face of the box that is the most extreme with respect to the Z axis (standard Python list indices/slicing is used). In build123d, Text is always a 2D object so it gets extruded just like any 2D object (it could be swept or lofted, etc.).

build123d has an Algebra mode as well which tends to be more compact which might be attractive if you're generating the code from VBA.
15:00:53
@_discord_752766332151398411:t2bot.iohalogenix Thank you for your responses. It’s weird when I can make the text position with position using workplane origin.
But after that it display overlapped on exported cad (dxf)
Finally I use workplane translate and can display as I want
15:22:03
@_discord_1189593108476858410:t2bot.iolucky_axolotl_45902 joined the room.15:38:37
@_discord_478852573273784331:t2bot.iotomvdb_ joined the room.17:11:52
@_discord_908372339601842236:t2bot.iodm4023 joined the room.17:25:45

Show newer messages


Back to Room ListRoom Version: 9